Package com.plannaplan.api

# Class UsosOauth1Service

java.lang.Object
com.github.scribejava.core.builder.api.DefaultApi10a
com.plannaplan.api.UsosOauth1Service

    public class UsosOauth1Service
    extends com.github.scribejava.core.builder.api.DefaultApi10a

singleton class to sign usos api requests with oauth

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `UsosOauth1Service()` |
`protected` | `UsosOauth1Service​(java.lang.String... scopes)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getAccessTokenEndpoint()` |
`protected java.lang.String` | `getAuthorizationBaseUrl()` |
`java.lang.String` | `getRequestTokenEndpoint()` |
`static UsosOauth1Service` | `instance()` |
`static UsosOauth1Service` | `instance​(java.lang.String... scopes)` | get instance withj scopes

### Methods inherited from class com.github.scribejava.core.builder.api.DefaultApi10a

`createService, getAccessTokenExtractor, getAccessTokenVerb, getAuthorizationUrl, getBaseStringExtractor, getHeaderExtractor, getRequestTokenExtractor, getRequestTokenVerb, getSignatureService, getSignatureType, getTimestampService, isEmptyOAuthTokenParamIsRequired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UsosOauth1Service

protected UsosOauth1Service()

### UsosOauth1Service

protected UsosOauth1Service​(java.lang.String... scopes)

## Method Details

### instance

public static UsosOauth1Service instance()

### instance

public static UsosOauth1Service instance​(java.lang.String... scopes)
get instance withj scopes

Parameters:
  `scopes` - to get instance with
Returns:
  UsosOauth1Service instance

### getRequestTokenEndpoint

public java.lang.String getRequestTokenEndpoint()

Specified by:
  `getRequestTokenEndpoint` in class `com.github.scribejava.core.builder.api.DefaultApi10a`

### getAccessTokenEndpoint

public java.lang.String getAccessTokenEndpoint()

Specified by:
  `getAccessTokenEndpoint` in class `com.github.scribejava.core.builder.api.DefaultApi10a`

### getAuthorizationBaseUrl

protected java.lang.String getAuthorizationBaseUrl()

Specified by:
  `getAuthorizationBaseUrl` in class `com.github.scribejava.core.builder.api.DefaultApi10a`